Package org.h2gis.functions.spatial.aggregate

## Class ST_Accum

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.spatial.aggregate.ST_Accum

All Implemented Interfaces:
  `org.h2.api.Aggregate`, `org.h2gis.api.Function`

    public class ST_Accum
    extends org.h2gis.api.AbstractFunction
    implements org.h2.api.Aggregate

Construct an array of Geometries.

Author:
  Nicolas Fortin, Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
`ST_Accum()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(Object o)`
`int` `getInternalType​(int[] inputTypes)`
`org.locationtech.jts.geom.GeometryCollection` `getResult()`
`void` `init​(Connection connection)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ST_Accum

    public ST_Accum()

### Method Detail

#### init

    public void init​(Connection connection)
              throws SQLException

Specified by:
  `init` in interface `org.h2.api.Aggregate`
Throws:
  `SQLException`

#### getInternalType

    public int getInternalType​(int[] inputTypes)
                        throws SQLException

Specified by:
  `getInternalType` in interface `org.h2.api.Aggregate`
Throws:
  `SQLException`

#### add

    public void add​(Object o)
             throws SQLException

Specified by:
  `add` in interface `org.h2.api.Aggregate`
Throws:
  `SQLException`

#### getResult

    public org.locationtech.jts.geom.GeometryCollection getResult()
                                                           throws SQLException

Specified by:
  `getResult` in interface `org.h2.api.Aggregate`
Throws:
  `SQLException`